#
# Module manifest for module 'vNugglets.VDNetworking'
#
# Generated by: Matt Boren (@mtboren)
#
# Generated on: 6/18/2018
#

@{

# Script module or binary module file associated with this manifest.
RootModule = 'vNugglets.VDNetworking_ModRoot.psm1'

# Version number of this module.
ModuleVersion = '1.2.0'

# Supported PSEditions
# CompatiblePSEditions = @()

# ID used to uniquely identify this module
GUID = 'c719ff79-c0f2-4b23-aba1-92ee6bd44159'

# Author of this module
Author = 'Matt Boren (@mtboren)'

# Company or vendor of this module
CompanyName = 'vNugglets for the VMware PowerCLI community'

# Copyright statement for this module
Copyright = 'MIT License'

# Description of the functionality provided by this module
Description = 'Module with functions for managing VMware vSphere Virtual Distributed Networking components like traffic filtering and marking'

# Minimum version of the Windows PowerShell engine required by this module
PowerShellVersion = '5.0'

# Name of the Windows PowerShell host required by this module
# PowerShellHostName = ''

# Minimum version of the Windows PowerShell host required by this module
# PowerShellHostVersion = ''

# Minimum version of Microsoft .NET Framework required by this module. This prerequisite is valid for the PowerShell Desktop edition only.
# DotNetFrameworkVersion = ''

# Minimum version of the common language runtime (CLR) required by this module. This prerequisite is valid for the PowerShell Desktop edition only.
# CLRVersion = ''

# Processor architecture (None, X86, Amd64) required by this module
# ProcessorArchitecture = ''

# Modules that must be imported into the global environment prior to importing this module
RequiredModules = @('VMware.VimAutomation.Vds')

# Assemblies that must be loaded prior to importing this module
# RequiredAssemblies = @()

# Script files (.ps1) that are run in the caller's environment prior to importing this module.
ScriptsToProcess = 'vNugglets.VDNetworking_init.ps1', 
               'vNugglets.VDNetworking_ClassDefinition.ps1'

# Type files (.ps1xml) to be loaded when importing this module
# TypesToProcess = @()

# Format files (.ps1xml) to be loaded when importing this module
FormatsToProcess = 'vNugglets.VDNetworking.format.ps1xml'

# Modules to import as nested modules of the module specified in RootModule/ModuleToProcess
NestedModules = @('GetItems.ps1', 
               'NewItems.ps1', 
               'RemoveItems.ps1', 
               'SetItems.ps1', 
               'vNugglets.VDNetworking_SupportingFunctions.ps1')

# Functions to export from this module, for best performance, do not use wildcards and do not delete the entry, use an empty array if there are no functions to export.
FunctionsToExport = 'Get-VNVDTrafficFilterPolicyConfig', 'Get-VNVDTrafficRuleSet', 
               'Get-VNVDTrafficRule', 'Get-VNVDTrafficRuleQualifier', 
               'Get-VNVDTrafficRuleAction', 'Get-VNVSwitchByVMHostNetworkAdapter', 
               'New-VNVDTrafficRuleQualifier', 'New-VNVDTrafficRuleAction', 
               'New-VNVDTrafficRule', 'Remove-VNVDTrafficRule', 
               'Set-VNVDTrafficRuleSet', 'Set-VNVMHostNetworkAdapterVDUplink'

# Cmdlets to export from this module, for best performance, do not use wildcards and do not delete the entry, use an empty array if there are no cmdlets to export.
CmdletsToExport = @()

# Variables to export from this module
# VariablesToExport = @()

# Aliases to export from this module, for best performance, do not use wildcards and do not delete the entry, use an empty array if there are no aliases to export.
AliasesToExport = @()

# DSC resources to export from this module
# DscResourcesToExport = @()

# List of all modules packaged with this module
# ModuleList = @()

# List of all files packaged with this module
FileList = 'vNugglets.VDNetworking.psd1', 
               'vNugglets.VDNetworking_ModRoot.psm1', 
               'en-US\about_vNugglets.VDNetworking.help.txt', 'GetItems.ps1', 
               'NewItems.ps1', 'RemoveItems.ps1', 'SetItems.ps1', 
               'vNugglets.VDNetworking_SupportingFunctions.ps1', 
               'vNugglets.VDNetworking.format.ps1xml', 
               'vNugglets.VDNetworking_init.ps1', 
               'vNugglets.VDNetworking_ClassDefinition.ps1'

# Private data to pass to the module specified in RootModule/ModuleToProcess. This may also contain a PSData hashtable with additional module metadata used by PowerShell.
PrivateData = @{

    PSData = @{

        # Tags applied to this module. These help with module discovery in online galleries.
        Tags = 'vNugglets','VMware','vSphere','PowerCLI','VDPortGroup','TrafficFiltering','Filter','Filtering','TrafficMarking','Mark','Marking','VDSwitch','Uplink','VDUplink','VMHostNetworkAdapater','VMNIC'

        # A URL to the license for this module.
        LicenseUri = 'https://github.com/vNugglets/vNuggletsPSMod_vDNetworking/blob/master/License'

        # A URL to the main website for this project.
        ProjectUri = 'https://github.com/vNugglets/vNuggletsPSMod_vDNetworking'

        # A URL to an icon representing this module.
        IconUri = 'https://avatars0.githubusercontent.com/u/10615837'

        # ReleaseNotes of this module
        ReleaseNotes = 'See ReadMe and other docs at https://github.com/vNugglets/vNuggletsPSMod_vDNetworking'

        # External dependent modules of this module
        # ExternalModuleDependencies = ''

    } # End of PSData hashtable
    
 } # End of PrivateData hashtable

# HelpInfo URI of this module
# HelpInfoURI = ''

# Default prefix for commands exported from this module. Override the default prefix using Import-Module -Prefix.
# DefaultCommandPrefix = ''

}


